﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;
using Xamarin.Forms;

namespace PetitProgramme.Converter
{
    public class StringToColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string valueAsString = value as String;

            if (valueAsString == null) return Color.Default;

            if (valueAsString.StartsWith("#")) return Color.FromHex(value.ToString());
            
            if (!valueAsString.Equals("")) return System.Drawing.Color.FromName(valueAsString);

            return Color.Default;
        }


        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
