﻿using PetitProgramme.Model;
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace PetitProgramme.DAO
{
    public class AnimalDAO
    {
        /// <summary>
        /// Méthode qui retourne une liste d'animaux pour un élevage
        /// Normalement, c'est ici qu'on établie la connexion avec la base de données
        /// soit directement, soit par WS
        /// Pour ce petit programme, je génère une liste d'animaux à la main
        /// </summary>
        /// <returns>Une liste d'animaux à partir de son élevage</returns>
        public List<Animal> getAnimalByElevage(Elevage elevage)
        {
            List<Animal> animaux = new List<Animal>();
            Animal animal1 = new Animal(1, "123", new DateTime(2020, 2, 2), "F", new Elevage(1));
            Animal animal2 = new Animal(2, "456", new DateTime(2020, 2, 2), "F", new Elevage(1));
            Animal animal3 = new Animal(3, "777", new DateTime(2020, 2, 2), "F", new Elevage(2));
            Animal animal4 = new Animal(4, "888", new DateTime(2020, 2, 2), "F", new Elevage(2));
            Animal animal5 = new Animal(5, "999", new DateTime(2020, 2, 2), "F", new Elevage(2));
            animaux.Add(animal1);
            animaux.Add(animal2);
            animaux.Add(animal3);
            animaux.Add(animal4);
            animaux.Add(animal5);

            return animaux.Where(a => a.Elevage.Equals(elevage)).ToList();
        }

    }
}
