﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PetitProgramme.Model
{
    public class Elevage
    {
        /// <summary>
        /// Les attributs (toujours en privé)
        /// </summary>
        private int elevageId;
        private String elevageNom;

        /// <summary>
        /// Constructeur vide
        /// </summary>
        public Elevage() { }

        /// <summary>
        /// Constructeur avec tous les attriburs
        /// </summary>
        /// <param name="code"></param>
        /// <param name="libelle"></param>
        public Elevage(int elevageId, string elevageNom)
        {
            this.elevageId = elevageId;
            this.elevageNom = elevageNom;
        }

        public Elevage(int elevageId)
        {
            this.elevageId = elevageId;
        }

        /// <summary>
        /// Les propriétés (toujours en public)
        /// </summary>
        public int ElevageId { get => elevageId; set => elevageId = value; }
        public string ElevageNom { get => elevageNom; set => elevageNom = value; }

        /// <summary>
        /// Surcharge de la méthode Equals
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public override bool Equals(object obj)
        {
            return obj is Elevage elevage && ElevageId == elevage.ElevageId;
        }

        /// <summary>
        /// Surcharge de la méthode GetHashCode
        /// </summary>
        /// <returns></returns>
        public override int GetHashCode()
        {
            return ElevageId.GetHashCode();
        }
    }
}
